unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.ListBox,
  FMX.Controls.Presentation, FMX.StdCtrls, FMXTee.Engine, FMXTee.Procs,
  FMXTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    ComboBox1: TComboBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Chart1BeforeDrawChart(Sender: TObject);
    procedure Chart1AfterDraw(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

uses FMXTee.Series, FMXTee.Series.Map, FMXTee.Series.World,
     System.Diagnostics, System.TimeSpan;

var Stopwatch: TStopwatch;
    Elapsed: TTimeSpan;

procedure TForm1.Chart1BeforeDrawChart(Sender: TObject);
begin
  Stopwatch:=TStopwatch.StartNew;
end;

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
  Elapsed:=Stopwatch.Elapsed;
  Label1.Text:='Drawn in ' + FormatFloat('#,##0.##', Elapsed.TotalMilliseconds) + 'ms';
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  Chart1.ClearChart;
  Chart1.ScrollMouseButton:=TMouseButton.mbLeft;
  Chart1.Zoom.Allow:=False;
  Chart1.Legend.Hide;
  Chart1.View3D:=False;
  Chart1.Hover.Hide;

  case ComboBox1.ItemIndex of
    0: Chart1.AddSeries(TWorldSeries).FillSampleValues;
    1: with TWorldSeries(Chart1.AddSeries(TWorldSeries)) do
       begin
         Map:=wmEurope15;
         FillSampleValues;
       end;
    2: Chart1.AddSeries(TMapSeries).FillSampleValues;
    3: Chart1.AddSeries(TLineSeries).FillSampleValues(1000);
    4: Chart1.AddSeries(TFastLineSeries).FillSampleValues(1000);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.Items.Add('World');
  ComboBox1.Items.Add('Europe15');
  ComboBox1.Items.Add('Map');
  ComboBox1.Items.Add('Line');
  ComboBox1.Items.Add('FastLine');

  ComboBox1.ItemIndex:=0;
end;

end.
